Get quotes
curl --request GET \
--url https://api.prod.polymarketexchange.com/v1/rfqs/quotes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.polymarketexchange.com/v1/rfqs/quotes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.polymarketexchange.com/v1/rfqs/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"quotes": [
{
"id": "<string>",
"rfqId": "<string>",
"creatorRfqUserId": "<string>",
"symbol": "<string>",
"createdTime": "2023-11-07T05:31:56Z",
"buyPrice": "<string>",
"sellPrice": "<string>",
"restRemainder": true,
"postOnly": true,
"rfqCreatorUserId": "<string>",
"rfqCashOrderQty": "<string>",
"buyQtyDecimal": "<string>",
"sellQtyDecimal": "<string>",
"updatedTime": "2023-11-07T05:31:56Z",
"acceptedTime": "2023-11-07T05:31:56Z",
"confirmedTime": "2023-11-07T05:31:56Z",
"confirmationDeadline": "2023-11-07T05:31:56Z"
}
],
"cursor": "<string>"
}Returns quotes matching the query filters.
GET
/
v1
/
rfqs
/
quotes
Get quotes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 100Available options:
QUOTE_STATUS_ACTIVE, QUOTE_STATUS_CONFIRMED, QUOTE_STATUS_DELETED, QUOTE_STATUS_ACCEPTED, QUOTE_STATUS_EXECUTED Available options:
USER_FILTER_SELF Available options:
USER_FILTER_SELF ⌘I